tomcat 和 websocket 问题

lokoren 发布于 2013/08/16 21:18
阅读 2K+
收藏 1

@汪喻祥 你好,想跟你请教个问题:

由于第一次接触websocket, 在网上找的例子 用tomcat和websocket做例子的时候 一直提示找不到类,但是类明明已经在包里边。这个如何解决呢?

我用的环境是 myeclipse10  tomcat7.0.42  jdk7 

跪求解救!

加载中
0
我已经报警了
我已经报警了
Tomcat 8.0.0-RC1 (alpha) Released 2013-08-05

The Apache Tomcat Project is proud to announce the first release candidate for Apache Tomcat 8 - 8.0.0-RC1 (alpha). Tomcat 8 is aligned with Java EE 7. In addition to supporting updated versions of the Java EE specifications, Tomcat 8 includes a number of improvements compared to Tomcat 7. The notable changes include:

  • Support for Java Servlet 3.1, JavaServer Pages 2.3, Java Unified Expression Language 3.0 and Java WebSocket 1.0.
0
崔钢
崔钢
你用nodejs试试吧。tomcat我也没有试过。
0
乾坤摄
乾坤摄
tomcat8 才能支持  WebSocket
hoodlake
hoodlake
回复 @乾坤摄 : 支持websocket就非要按jee7的规范来吗?难不成jee规范里没有的还不能用了!如果你害怕因为不符合规范,不同服务器要重新实现,那你大可以用第三方的websocket实现
乾坤摄
乾坤摄
回复 @hoodlake : http://tomcat.apache.org/tomcat-7.0-doc/web-socket-howto.html 这个只是一个初步支持吧,你确定这个和jee7 规范一样吗
hoodlake
hoodlake
你确定?7系列的版本就有支持了 不知道不可怕,不知道,乱说就可怕了
0
七月天蓝
七月天蓝
tomcat7中有的版本 也已经开始支持了 我记得我原来做过一个小例子 貌似找不到了 嘿嘿
0
lokoren
lokoren

那你还记得 是那个版本的吗?


hoodlake
hoodlake
但是个人觉得,暂时还是别用web服务器的websocket吧,像jetty,tomcat实现的都不一样,API都不一样,这样程序换个运行环境,那就不行了。还是使用第三方的websocket的实现比较好,统一
hoodlake
hoodlake
下载最新的7版本的就可以了
0
魔神翼
魔神翼
我用tomcat7.0.40都能成功运行websocket
0
lokoren
lokoren

那请问  你用的是myeclipse神马版本呢?


0
vvtf
vvtf

org.apache.catalina.websocket.WebSocketServlet

我也是tomcat7.0.42 ,完全支持!

0
liubsh
liubsh

引用来自“rouyh”的答案

org.apache.catalina.websocket.WebSocketServlet

我也是tomcat7.0.42 ,完全支持!

需要什么特殊额配置吗?我的不可以
0
李志华
李志华
我也在找这个问题,不知道楼主解决了没有?
返回顶部
顶部